# Table of Contents - turbolinks-5.2.0 Documentation

## Classes and Modules

- Turbolinks
- Turbolinks::Assertions
- Turbolinks::Controller
- Turbolinks::Engine
- Turbolinks::Redirection

## Methods

- #assert_redirected_to — Turbolinks::Assertions
- #assert_turbolinks_visited — Turbolinks::Assertions
- #redirect_to — Turbolinks::Redirection
- #set_turbolinks_location_header_from_session — Turbolinks::Redirection
- #store_turbolinks_location_in_session — Turbolinks::Redirection
- #turbolinks_request? — Turbolinks::Assertions
- #turbolinks_visit_location_and_action — Turbolinks::Assertions
- #visit_location_with_turbolinks — Turbolinks::Redirection